Subject: [bess] draft-ietf-bess-evpn-igmp-mld-proxy-03 shepherd's review

From: <[email-masked]>
Date: Tue, 20 Aug 2019 13:19:43 +0000

Hi,

There are some Nits to fix:
https://www6.ietf.org/tools/idnits?url=https://www.ietf.org/archive/id/draft-ietf-bess-evpn-igmp-mld-proxy-03.txt

Here is my review of the document:

Abstract & Intro:
s/RFC 7432/ RFC7432.
The reference should be removed from the abstract (as per IDNits).

§2.1:
It may be good to change the paragraph name to IGMP/MLD proxy and use IGMP/MLD in the paragraph. This comment could apply to various other places of the document.

§2.1.1:

        -"it only sends a single BGP
   message corresponding to the very first IGMP Join".
[SLI] Do we really care about the IGMP message (first or second...) used as a source to build the EVPN route ? The important point is that we do it only one time.

-          For MLD what is the expected behavior in term of flag setting in the SMET, do we set v2 for MLDv2 or do we consider that it is equivalent to IGMPv3 and then we set v3 ?

-          s/BGP is a statefull/BGP is a stateful  ?

-          In 1),  for clarity purpose, it would be good to separate the (*,G) and (S,G) case in two separate paragraphs. At the first read, when reading "In case of IGMPv3, exclude flag...", I thought it was always applicable for IGMPv3 which does not make sense, while it is applicable only "If the IGMP Join is for (*,G)".

-          IMO, 1) 2) 3) and 4) should use normative language

-          Wouldn't it be better to present the encoding of SMET before ? Because the text talks about fields set in the route while it hasn't been presented yet.

-          5) talks about errors that SHOULD be logged, but from a BGP perspective, is it considered as a BGP error ? What is the expected behavior per RFC7606 ?

-          7) is not clear about IGMPv3, the first part of the text tells that the IGMP Join must not be sent if there is no PIM router. While the end of the text tells that it is not a problem for IGMPv3. So is there a difference between IGMPv2 and IGMPv3 reports ?
§2.1.2:

-          You have a paragraph numbering issue "IGMP Leave Group Advertisement in BGP" should be 2.1.2

-          As for §2.1.1, normative language should be used

-          2) I agree that there is an error when a SMET is received with all version flags unset. How does the receiver handle this ? does it consider the NLRI has withdrawn per RFC7606 from a BGP perspective ? Does it the the current state of the route and ignore the update ? Does it close the session ?

-          2) "If the PE receives an EVPN SMET route withdraw, then it must
   remove the remote PE from the OIF list associated with that multicast
   group." This text is a duplicate on 3).

§2.2:
s/each PE need to have/each PE MUST have/ ?

§4:
s/support IGMP sync procedures/support IGMP synchronization procedures/

§4.1:
s/The IGMP Join Sync route carries the ES-Import RT/ The IGMP Join Sync route MUST carry the ES-Import RT/

Again, the paragraph lacks of normative language

§4.3:
s/procedure section(4.1)/the procedure defined in section 4.1/
s/Remote PE (PE/Remote PEs (PEs/

§5:
Need to use normative language

The paragraph uses IGMP Join Sync Route or Leave Sync route while §7 uses Multicast Join Synch Route. Please ensure consistency. This applies to other sections of the document.

§6:
Please expand "IR" in the title and add it into the acronyms section.

"all of the PEs in the BD support that tunnel type and IGMP", do you mean IGMP proxy ?

§7.1 brings some clarification about MLD usage which wasn't clear in section 2.
However §2 is still confusing in version numbers between IGMP and MLD. As an example, a SMET with a source must not exist with IGMPv2/1 while it must not with MLDv1 only.

§7.1.1

"Support for this route type is
   optional.". With regards to RFC7432, yes. However if an implementation supports this draft, the support of the NLRI is mandatory.

§7.3.1
Typo is the title: s/Multicas/Multicast/

§7.4:
s/it Must set the IGMP Proxy/it MUST set the IGMP/MLD Proxy/
Could we have some device that support IGMP proxy but not MLD proxy ?

§9:
s/RECOMENDED/RECOMMENDED

§10:
Does it change something to IGMP/MLD security ? Maybe this should be mentioned as well

References:
I think that IGMP and MLD RFCs should be set as normative. You should add MLDv1, IGMPv2, IGMPv1 as references as well and use the references in the text.

RFC7387 and 7623 are referenced but not used

s/FC4541/RFC4541/

RFC7606 and 4684 should be set as normative

Brgds,

[Orange logo]<http://www.orange.com/>

Stephane Litkowski
Network Architect
Orange/SCE/EQUANT/OINIS/NET
Orange Expert Future Networks
phone: +33 2 23 06 49 83 <https://monsi.sso.francetelecom.fr/index.asp?target=http%3A%2F%2Fclicvoice.sso.francetelecom.fr%2FClicvoiceV2%2FToolBar.do%3Faction%3Ddefault%26rootservice%3DSIGNATURE%26to%3D+33%202%2023%2028%2049%2083%20>  NEW !
mobile: +33 6 71 63 27 50 <https://monsi.sso.francetelecom.fr/index.asp?target=http%3A%2F%2Fclicvoice.sso.francetelecom.fr%2FClicvoiceV2%2FToolBar.do%3Faction%3Ddefault%26rootservice%3DSIGNATURE%26to%3D+33%206%2037%2086%2097%2052%20>  NEW !
[email-masked]<mailto:[email-masked]>

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.